OPENSURGE(6)

NAME
opensurge - retro game engine inspired by 16-bit Sonic games

SYNOPSIS
opensurge [options]

DESCRIPTION
OpenSurge is a retro game engine inspired by 16-bit Sonic games.

It comes battery included: Surge the Rabbit is a fun retro platformer bundled with the engine.

You can play it and use it as a base to create your own games!

OPTIONS

--help -h
    display this message

--version -v
    display the version of this program

--ssversion
    display the version of the SurgeScript runtime

--license
    display the license of this game engine

--fullscreen
    fullscreen mode

--windowed
    windowed mode

--resolution X
    set the scale of the window size, where X = 1, 2, 3 or 4

--quality Q
    set the video quality Q to "low", "medium" or "high"

--show-fps
    show the FPS (frames per second) counter

--hide-fps
    hide the FPS counter

--level "filepath"
    run the specified level (e.g., levels/my_level.lev)

--quest "filepath"
    run the specified quest (e.g., quests/default.qst)

--language "filepath"
    use the specified language (e.g., languages/english.lng)

--game "/path/to/game"
    play a game; the same as --game-folder with --compatibility-mode

--game-folder "/path/to/game"
    use game assets from the specified folder

--compatibility-mode [version]
    compatibility mode for MODs. To be combined with --game-folder

--reset
    factory reset: clear all user-space files & changes

--import "/path/to/game"
    import an Open Surge game from the specified folder

--import-wizard
    import an Open Surge game using a wizard

--mobile
    enable mobile device simulation

--verbose
    enable verbose logging with debug messages

-- -arg1 -arg2 -arg3...
    user-defined arguments to be used in the scripting layer

FILES

/usr/share/games/opensurge/
    Game data files.

$XDG_DATA_HOME/opensurge/
    defaulting to ~/.local/share/opensurge//

    Configuration and state for OpenSurge/Surge the Rabbit.

AUTHOR
Open Surge Engine is brought to you by:

© 2008-2026 Alexandre Martins & the Surge Engine Developers and Contributors

    https://opensurge2d.org/

This manual page was written by Sébastien Noel <sebastien@twolife.be>, for the Debian project (but may be used by others).